Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision de2cbfe9e898e38b885f3727e766bc34f57f9c60)
+++ src/Makefile.am	(revision fec597f5b80c0f86e5d9e73637b0ffff32750b57)
@@ -36,4 +36,5 @@
 include RandomNumbers/Makefile.am
 include Shapes/Makefile.am
+include Tesselation/Makefile.am
 include UIElements/Makefile.am
 
@@ -146,33 +147,4 @@
   Thermostats/Woodcock.hpp
 
-TESSELATIONSOURCE = \
-  Tesselation/ApproximateShapeArea.cpp \
-  Tesselation/ApproximateShapeVolume.cpp \
-  Tesselation/boundary.cpp \
-  Tesselation/BoundaryLineSet.cpp \
-  Tesselation/BoundaryPointSet.cpp \
-  Tesselation/BoundaryPolygonSet.cpp \
-  Tesselation/BoundaryTriangleSet.cpp \
-  Tesselation/CandidateForTesselation.cpp \
-  Tesselation/ellipsoid.cpp \
-  Tesselation/tesselation.cpp \
-  Tesselation/tesselationhelpers.cpp \
-  Tesselation/triangleintersectionlist.cpp
-  
-TESSELATIONHEADER = \
-  Tesselation/ApproximateShapeArea.hpp \
-  Tesselation/ApproximateShapeVolume.hpp \
-  Tesselation/boundary.hpp \
-  Tesselation/BoundaryLineSet.hpp \
-  Tesselation/BoundaryMaps.hpp \
-  Tesselation/BoundaryPointSet.hpp \
-  Tesselation/BoundaryPolygonSet.hpp \
-  Tesselation/BoundaryTriangleSet.hpp \
-  Tesselation/CandidateForTesselation.hpp \
-  Tesselation/ellipsoid.hpp \
-  Tesselation/tesselation.hpp \
-  Tesselation/tesselationhelpers.hpp \
-  Tesselation/triangleintersectionlist.hpp
-
 MOLECUILDERSOURCE = \
   ${BONDSOURCE} \
@@ -180,5 +152,4 @@
   ${DYNAMICSSOURCE} \
   ${THERMOSTATSOURCE} \
-  ${TESSELATIONSOURCE} \
   Shapes/ShapeFactory.cpp \
   AtomIdSet.cpp \
@@ -203,5 +174,4 @@
   ${DYNAMICSHEADER} \
   ${THERMOSTATHEADER} \
-  ${TESSELATIONHEADER} \
   Shapes/ShapeFactory.hpp \
   AtomIdSet.hpp \
@@ -231,4 +201,5 @@
 	$(BOOST_THREAD_LDFLAGS)
 libMolecuilder_la_LIBADD = \
+	libMolecuilderTesselation.la \
 	libMolecuilderShapes.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
Index: src/Tesselation/Makefile.am
===================================================================
--- src/Tesselation/Makefile.am	(revision fec597f5b80c0f86e5d9e73637b0ffff32750b57)
+++ src/Tesselation/Makefile.am	(revision fec597f5b80c0f86e5d9e73637b0ffff32750b57)
@@ -0,0 +1,74 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+TESSELATIONSOURCE = \
+  Tesselation/ApproximateShapeArea.cpp \
+  Tesselation/ApproximateShapeVolume.cpp \
+  Tesselation/boundary.cpp \
+  Tesselation/BoundaryLineSet.cpp \
+  Tesselation/BoundaryPointSet.cpp \
+  Tesselation/BoundaryPolygonSet.cpp \
+  Tesselation/BoundaryTriangleSet.cpp \
+  Tesselation/CandidateForTesselation.cpp \
+  Tesselation/ellipsoid.cpp \
+  Tesselation/tesselation.cpp \
+  Tesselation/tesselationhelpers.cpp \
+  Tesselation/triangleintersectionlist.cpp
+  
+TESSELATIONHEADER = \
+  Tesselation/ApproximateShapeArea.hpp \
+  Tesselation/ApproximateShapeVolume.hpp \
+  Tesselation/boundary.hpp \
+  Tesselation/BoundaryLineSet.hpp \
+  Tesselation/BoundaryMaps.hpp \
+  Tesselation/BoundaryPointSet.hpp \
+  Tesselation/BoundaryPolygonSet.hpp \
+  Tesselation/BoundaryTriangleSet.hpp \
+  Tesselation/CandidateForTesselation.hpp \
+  Tesselation/ellipsoid.hpp \
+  Tesselation/tesselation.hpp \
+  Tesselation/tesselationhelpers.hpp \
+  Tesselation/triangleintersectionlist.hpp
+
+noinst_LTLIBRARIES += libMolecuilderTesselation.la
+libMolecuilderTesselation_la_includedir = $(includedir)/MoleCuilder/
+
+nobase_libMolecuilderTesselation_la_include_HEADERS = \
+  ${TESSELATIONHEADER}
+
+## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
+## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libMolecuilderTesselation_la_SOURCES = \
+  ${TESSELATIONSOURCE}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+#libMolecuilderTesselation_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+#libMolecuilderTesselation_libincludedir = $(libdir)/MoleCuilder/include
+#nodist_libMolecuilderTesselation_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+
+## Install the generated pkg-config file (.pc) into the expected location for
+## architecture-dependent package configuration information.  Occasionally,
+## pkg-config files are also used for architecture-independent data packages,
+## in which case the correct install location would be $(datadir)/pkgconfig.
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
